Skip to main content
DELETE
/
v2
/
organizations
/
{orgId}
/
roles
/
{roleId}
Delete an organization role
curl --request DELETE \
  --url https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}"

response = requests.delete(url)

print(response.text)
const options = {method: 'DELETE'};

fetch('https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "permissions": [
      "booking.read",
      "eventType.create"
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "color": "<string>",
    "description": "<string>",
    "organizationId": 123
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required
roleId
string
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required